# &kde;-gebruikershandleiding

Waldo
Bastian

    bastian@kde.org

Mario
Weilguni

    mweilguni@sime.com

Lubos
Lunak

    l.lunak@kde.org

2008-10-03
0.01.01
kdeinit4
8

# `kdeinit4`

Procestarter van &kde;.

## Samenvatting

    kdeinit4 --help  --no-fork --no-kded --suicide   +programs programma's

## Beschrijving

kdeinit4 start processen enigszins vergelijkbaar met het beroemde `init` dat wordt gebruikt bij het opstarten van UNIX. Het voert &kde; programma's uit en kdeinit loadable modules (KLMs) worden efficiënter opgestart.

&kde;-applicaties opstarten met kdeinit4 maakt het starten van een typische &kde;-applicatie enkele malen sneller en vermindert het geheugengebruik aanzienlijk.

kdeinit4 is gelinkt tegen alle bibliotheken die een standaard &kde;-applicatie nodig heeft. Met deze techniek wordt het starten van een toepassing veel sneller omdat nu alleen de applicatie zelf gelinkt behoeft te worden waar anders beide, de applicatie zowel als alle bibliotheken die het gebruikt worden, gelinkt moeten worden.

## Nadelen

De procesnaam van applicaties die via kdeinit4 gestart worden is "kdeinit4". Dit probleem kan tot op zekere hoogte gecorrigeerd worden door de applicatienaam zoals deze getoond door `ps` te wijzigen. Echter, applicaties zoals `killall` zien alleen kdeinit4 als de procesnaam. De workaround hiervoor is het gebruik van `kdekillall` (uit de kdesdk/scripts) voor applicaties die via kdeinit4 gestart zijn.

## Opties

`--help`

  Hulp over de opties tonen

`--no-fork`

  Doe geen fork, dwz. stop niet voordat alle uitgevoerde programma's eindigen

`--no-kded`

  kded niet starten

`--suicide`

  Sluit af als geen KDE-applicatie meer wordt uitgevoerd

`+programma's`

  voert de programma's uit die verzoeken behandelen

`programma's`

  voert de programma's zonder verzoeken te behandelen

## Gebruik

Een standaard manier om dit programma uit te voeren is door eenvoudig het volgende commando ``kdeinit4` programma` of ``kdeinit4` +programma` te specificeren

## Bestanden

`/tmp/kde-$USER/kdeinit4_$INSTANCE`

  ...

## Omgevingsvariabelen

$`HOME`

  Specificeert de persoonlijke map van de huidige gebruiker

$`KDE_HOME_READONLY`

  Specificeert of de persoonlijke map van de huidige gebruiker alleen-lezen is

$`KDE_IS_PRELINKED`

  Indien ingesteld, vertelt het dat de &kde; programma's voor-gelinkt zijn.

  (Voor-linken is een proces dat u toestaat om het proces van dynamisch linken te versnellen.)

$`KDE_DISPLAY`

  Indien ingesteld, vertelt kdeinit4 dat het op een &kde;-bureaublad draait.

## Zie ook

kded, kdekillall

## Fouten/bugs

Er zijn waarschijnlijk vele bugs. Gebruik bugs.kde.org om ze te rapporteren.